#!/bin/sh
#
# $Id: am_networker.sh,v 1.1.2.1 2002/01/05 01:22:21 bservies Exp $
#
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
#
# Description:
#	Determine if the Legato NetWorker client daemon is running.
#

. /usr/sausalito/swatch/statecodes
. /etc/rc.d/init.d/functions

# Do not use the Legato-shipped script, because it doesn't handle chkconfig.
RESTART=/etc/rc.d/init.d/cobalt-networker

#
# Determine the state of the client daemon.  Basically, if it is still
# running, we'll call it good; obviously, this assumes that running is
# equivalent to "accepting connections."  In the future, it would be better
# to ensure that the client is actually using the settings from CCE.
#
STATE=`status nsrexecd 2>&1`
case "$STATE" in
	*stopped* | *dead*)
		#
		# The service has stopped.  Stop it again to clear out any
		# pid or lock files, then try and restart it.  Ignore any
		# errors on stopping the already stopped service.
		#
		$RESTART stop > /dev/null 2>&1
		$RESTART start
		RETVAL=$?
		if [ $RETVAL -ne 0 ]; then
			#
			# The service did not restart!  Red means very bad,
			# not good as it would in some cultures.
			#
			echo -ne "[[legato-networker.am_stopped]]"
			exit $AM_STATE_RED
		fi

		# The service was restarted.  This is good.
		echo -ne "[[legato-networker.am_running]]"
		exit $AM_STATE_GREEN
		;;

	*running*)
		echo -ne "[[legato-networker.am_running]]"
		exit $AM_STATE_GREEN
		;;

	*)
		#
		# Unknown status!  Call it a warning, though it is a bug
		# in this script if this ever happens.
		#
		echo -ne "[[legato-networker.am_unknown]]"
		exit $AM_STATE_YELLOW
		;;
esac

# We should never get to here, but just in case 
exit $AM_STATE_GREEN
